fgl-5.5.2.3: Martin Erwig's Functional Graph Library

Safe Haskell | Safe
Language | Haskell98

Data.Graph.Inductive.Internal.Queue

Contents

- Type
- Operations

Synopsis

- data Queue a = MkQueue [a] [a]
- mkQueue :: Queue a
- queuePut :: a -> Queue a -> Queue a
- queuePutList :: [a] -> Queue a -> Queue a
- queueGet :: Queue a -> (a, Queue a)
- queueEmpty :: Queue a -> Bool

# Type

data Queue a Source

Constructors

MkQueue [a] [a] |

# Operations

mkQueue :: Queue a Source

queuePut :: a -> Queue a -> Queue a Source

queuePutList :: [a] -> Queue a -> Queue a Source

queueGet :: Queue a -> (a, Queue a) Source

queueEmpty :: Queue a -> Bool Source